### Class

# Atspi Relation

#### Description [src]

    class Atspi.Relation : GObject.Object
    {
      relation_type: AtspiRelationType,
      targets: GArray*
    }

An interface via which non-hierarchical relationships are indicated.

An interface via which non-hierarchical relationships are indicated. An instance of this interface represents a “one-to-many” correspondence.

#### Ancestors

- GObject

#### Instance methods

###### atspi_relation_get_n_targets

Gets the number of objects which this relationship has as its target objects (the subject is the `AtspiAccessible` from which this `AtspiRelation` originated).

###### atspi_relation_get_relation_type

Gets the type of relationship represented by an `AtspiRelation`.

###### atspi_relation_get_target

Gets the `i`-th target of a specified `AtspiRelation` relationship.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AtspiRelationClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.